DRM_HELPER_MODE_FILL(9)

NAME
drm_helper_mode_fill_fb_struct - fill out framebuffer metadata

SYNOPSIS

void drm_helper_mode_fill_fb_struct(struct drm_framebuffer * fb, struct drm_mode_fb_cmd2 * mode_cmd);

ARGUMENTS

fb
    drm_framebuffer object to fill out

mode_cmd
    metadata from the userspace fb creation request

DESCRIPTION

This helper can be used in a drivers fb_create callback to pre-fill the fb's metadata fields.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT